Bug 209381 - ifup-eth0 AVC denials when run by xend
ifup-eth0 AVC denials when run by xend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-10-04 18:43 EDT by Stephen Tweedie
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-10-04 18:43:14 EDT
Description of problem:
Running a xen kernel with xend results in AVC denials from ifup-eth0 trying to
write to dhclient-eth0.conf, when called from the xend scripts.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.18-3
xen-3.0.2-42

How reproducible:
100%

Steps to Reproduce:
1. yum install xen kernel-xen
2. boot kernel-xen
  
Actual results:
audit(1160001299.098:8): avc:  denied  { write } for  pid=3303 comm="ifup-eth"
name="dhclient-eth0.conf" dev=dm-5 ino=802990
scontext=system_u:system_r:xend_t:s0 tcontext=system_u:object_r:dhcp_etc_t:s0
tclass=file
audit(1160001299.098:9): avc:  denied  { getattr } for  pid=3303 comm="ifup-eth"
name="dhclient-eth0.conf" dev=dm-5 ino=802990
scontext=system_u:system_r:xend_t:s0 tcontext=system_u:object_r:dhcp_etc_t:s0
tclass=file
audit(1160001299.098:10): avc:  denied  { append } for  pid=3303 comm="ifup-eth"
name="dhclient-eth0.conf" dev=dm-5 ino=802990
scontext=system_u:system_r:xend_t:s0 tcontext=system_u:object_r:dhcp_etc_t:s0
tclass=file

Expected results:
No errors.

Additional info
Comment 1 Daniel Walsh 2006-10-05 09:32:21 EDT
Fixed in selinux-policy-2.3.18-4
Comment 2 Daniel Walsh 2007-08-22 10:14:56 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.